<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dashboard</title>
    <link rel="stylesheet" href="style2.css" />
  </head>
  <body>
    <div class="full-page">
      <!-- Navigation -->
      <div class="navbar">
        <div>
          <img
            src="./pic/—Pngtree—quiz time with bubble chat_8505003.png"
            width="150px"
            alt=""
          />
        </div>
        <nav>
          <ul id="menuItems">
            <li><a href="index.html">Home</a></li>
            <li><a href="/login/">Administrator</a></li>
            <!-- <li><a href="#">Play Quiz</a></li> -->
            <li>
              <button
                class="loginbtn"
                id="loginbtn"
                onclick="document.getElementById('login-form').style.display='block'"
                style="width: auto"
              >
                Login/PLay
              </button>
            </li>
          </ul>
        </nav>
      </div>
      <!-- Navigation -->

      <!-- Login Form  -->
      <div id="login-form" class="login-page">
        <div class="form-box">
          <div class="button-box">
            <div id="btn"></div>
            <button onclick="login()" class="toggle-btn">Login</button>
            <button onclick="register()" class="toggle-btn">Register</button>
          </div>

          <form
            method="POST"
            action="/login1"
            id="login"
            class="input-group-login"
          >
            <input
              type="text"
              name="username"
              placeholder="Username"
              class="input-field"
            />
            <input
              type="password"
              name="password"
              placeholder="Password"
              class="input-field"
            />
            <button class="submit-btn" id="reg">Login</button>
          </form>
          <!-- Login Form  -->
          <!-- register Form -->
            <form
            method="post"
            action=""
            id="register"
            class="input-group-register"
          > 
            <p
              class="input-field"
            />Keine registerierung hier möglich !!!
            <p
              class="input-field"
            /> registrieren Sie sich bitte in Administrator 
            <!-- <button class="submit-btn">Register</button> -->
          </form> 
          <!-- register Form -->
        </div>
      </div>
      <div class="rules" id="rules">
        What is Quiz?
        <p class="rules-text">
          A quiz refers to a short test of knowledge, typically around 10 questions in length, with question formats often including multiple choice, fill in the blanks, true or false and short answer. A quiz is much shorter than a traditional test or exam and is rarely impactful on a final course grade. Professors who employ quizzes in their courses—a practice which is increasingly viable thanks to the broader use of technology in higher ed—may schedule them in each class to ensure students have retained knowledge from the previous lesson. Others may hold pop quizzes, which are surprise tests geared towards making sure students have read course materials and are understanding broader course learnings.
        </p>
        </p>
      </div>
    </div>
    <!-- Peragraf -->

    <!-- Peragraf -->

    <script>
      let log = document.getElementById("login");
      let reg = document.getElementById("register");
      let btn = document.getElementById("btn");
      const logbtn = document.getElementById("loginbtn");
      const modal = document.querySelector('#rules');

      function register() {
        log.style.left = "-400px";
        reg.style.left = "50px";
        btn.style.left = "110px";
      }
      function login() {
        log.style.left = "50px";
        reg.style.left = "450px";
        btn.style.left = "0px";
      }


      logbtn.addEventListener('click', ()=>{
        modal.style.display = "none";
      })
     


      
      

    </script>
  </body>
</html>
